Subject: bug#22287: 25.1.50; Sudden jumping point in buffer

From: "Stefan-W. Hahn" <[email-masked]>
Date: Tue, 5 Jan 2016 22:08:13 +0100

Mail von Eli Zaretskii, Tue, 05 Jan 2016 at 22:12:40 +0200:

Hello,

> > Date: Tue, 5 Jan 2016 20:51:30 +0100
> > From: "Stefan-W. Hahn" <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > If you tell how you defined the watchpoint, I might be able to help
> > > you redefine it so that hardware-assisted watchpoints are used by GDB.
> > 
> > Any hint welcome.
> 
> Don't use awatch, you only want a watchpoint to trigger when the value
> of point actually changes, not when it's being read by some code.  Use
> the "watch" command.

Yes, was just to look if it is faster.

> Next, I'm guessing that the watchpoint fires all the time, and that's

Yes.

> what slows down Emacs.  One way to make the situation better is to

>   (gdb) watch -l current_buffer->pt if current_buffer->pt == POS

> where POS is the value of buffer position to which point jumps when it
> should have stayed put.

It was not every time the same, but I will try again without debugger
to check if I can define a condition.

> 
> Note that I used "watch -l" (the letter ell) -- this will limit the
> watchpoint to watching only point of the buffer that is current when

Ouch,... I have overread the "-l".

I tried with "-l" without condition watching the debugger for half an hour
running, while semantic is parsing. But no success.

I will try again tomorrow.

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.